"use client";

import { useRouter } from "next/navigation";
import { useTranslations } from "next-intl";

import { Button, Typography } from "@/components/ui";
import { ROUTES } from "@/shared/constants/client-routes";

import styles from "./Button.module.scss";

export default function PaymentSuccessButton() {
  const t = useTranslations("Payment.Success");
  const router = useRouter();

  const handleNext = () => {
    router.push(ROUTES.additionalPurchases());
  };

  return (
    <Button onClick={handleNext} className={styles.button}>
      <Typography color="white">{t("button")}</Typography>
    </Button>
  );
}
